[Debian] Activer la carte réseau

[Résolu/Fermé]
Signaler
-
Messages postés
40805
Date d'inscription
jeudi 28 août 2003
Statut
Modérateur
Dernière intervention
10 août 2020
-
Bonjour,
j'ai fait une machine test dans mon entreprise pour installer une carte réseau Token Ring sous debian.
Le problème c'est que ma carte réseau n'est pas détectée sous Debian.
Quand je tape ifconfig : j'ai uniquement l'interface Loopback lo.
Par contre, quand je tape lspci : ma carte réseau est bien là.
Que faut-il que je fasse pour l'activer ?
Faut-il que je ré install un driver ?
Je voudrais également savoir comment connaitre la version de mon kernel ? Celà pourrait peut-être vous aider !
J'ai essayé de regarder si je trouvais un problème similaire dans le forum mais il y a tellement de sujets que je ne sais pas trop s'il en existe un ou non... désolé si c'est le cas !
Merci d'avance !
Bonne journée !
juju29800.

2 réponses

Messages postés
40805
Date d'inscription
jeudi 28 août 2003
Statut
Modérateur
Dernière intervention
10 août 2020
4 872
Salut,

Affiche-nous le résultat de la sortie de ta commande "lspci" s'il te plaît :
lspci | grep Ethernet
Pour la version du noyau :
uname -r
;-))
Re,
merci de repondre aussi vite, c'est sympa !
Alors, pour la commande lspci, j'ai ceci :
0000:00:00.0 Host Bridge...
...
...
...
...
...
0000:01:00.0 Token ring Network controller : Madge Networks Smart 16/4 PCI Ringnode Mk2 (Je ne mets que cette ligne car je pense que c'est la seule qui nous intéresse dans ce cas car c'est bien une carte token ring que je veux faire fonctionner et non une Ethernet ! )

Pour la version : uname-r donne 2-4.27-2-386 (Debian)

Merci pour votre aide !
Messages postés
40805
Date d'inscription
jeudi 28 août 2003
Statut
Modérateur
Dernière intervention
10 août 2020
4 872
Re-

Je voudrais pas être pessimiste, mais il semblerait que les drivers pour ta carte (Madge) et ta version de kernel (2.4) ne soient plus disponible ;-((

https://www.ringdale.com/
Tout ce qu'on trouve c'est un patch : http://www.linuxtr.net/download.html mais il faut les drivers pour l'appliquer (et j'ai rien trouvé sur le net).

On trouve toute la procédure à appliquer pour les mettre en oeuvre :
http://www.linuxtr.net/madge-2.2.x.html
http://64.233.183.104/search?q=cache:eGl6n1Tnx1IJ:sdb.suse.de/en/sdb/html/findeis...

Mais toutes les pages liées pour le download, renvoient soit sur le site de Madge, soit vers des liens morts ou des "ftp" vident.

Désolé.
Merci pour tes recherches !
Est-ce que tu crois que ce driver là fonctionnerait ?
http://www.linuxtr.net/download.html
Sinon, qu'elle serait la carte la mieux appropriée à acheter ?
Si tu ne sais pas, ne te casse pas la tête, tu en as déjà fais beaucoup !
Merci pour tout !
a+.
Messages postés
40805
Date d'inscription
jeudi 28 août 2003
Statut
Modérateur
Dernière intervention
10 août 2020
4 872 > juju29800
Est-ce que tu crois que ce driver là fonctionnerait ?
Ben non, c'est un patch à appliquer sur le driver lui même.

Sinon, qu'elle serait la carte la mieux appropriée à acheter ?
Une 3com (série 3c5xx) devrait faire l'affaire.